Subject: Temi - US L2 Support
From: Pritish Nandi <[email-masked]>
To: "Heta Nyrhinen, HNYR" <[email-masked]>
Cc: "Sara Aknooni, SRAK" <[email-masked]>
Date: Fri, 18 Jun 2021 07:27:51 -0700 (MST)

Hi Heta, 

I have just spoken to the US team and I have a feedback for Temi to share. 

The US L1 teams feels that Temi is not helping the team appropriately and loosing confidence on him. I do understand that L1 team might not be doing everything correct however, I would be happy to receive any feedback from Temi. 

But this rift within the team is not good for productivity and work enviroment. Please help and advise. 

Regards, 
Pritish Nandi